/*
 * Copyright (C) 2000 John David Ratliff,
 *                    Christopher Michael O'Donnel, and
 *                    Hongwei Guan
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

import tools.LineEditor;
import datastructures.DoublyLinkedList;
import datastructures.BinarySearchTree;

import java.io.BufferedReader;
import java.io.InputStreamReader;
import java.io.IOException;

public class SimpleEditorDriver {
	public static void main(String[] args) {
		BufferedReader input;
		LineEditor editor = new LineEditor(new DoublyLinkedList(),
							new BinarySearchTree());
		String string;

		try {
			input = new BufferedReader(
				new InputStreamReader(System.in));

			while ((string = input.readLine()) != null) {
				editor.process(string);
			}
		} catch (IOException exception) {
			System.out.println(exception);
		}
	}
}
