/*
 * Copyright (C) 2000 John David Ratliff, 
 *                    Christopher Michael O'Donnel, and
 *                    Hongwei Guan
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

package datastructures;

public class Node {
	private Object element;
	private Node lastNode;
	private Node nextNode;

	// the constructor sets the element and the node pointers
	public Node(Object element, Node lastNode, Node nextNode) {
		this.element = element;
		this.lastNode = lastNode;
		this.nextNode = nextNode;
	}

	// sets the previous node pointer of this Node
	public void setLastNode(Node lastNode) {
		this.lastNode = lastNode;
	}

	// returns the previous node of this Node
	public Node getLastNode() {
		return this.lastNode;
	}

	// sets the next node pointer of this Node
	public void setNextNode(Node nextNode) {
		this.nextNode = nextNode;
	}

	// returns the next node of this Node
	public Node getNextNode() {
		return this.nextNode;
	}

	// sets the value of this Node
	public void setElement(Object element) {
		this.element = element;
	}

	// returns the value of this Node
	public Object getElement() {
		return this.element;
	}
}
