/*
 * Copyright (C) 2000 John David Ratliff, 
 *                    Christopher Michael O'Donnel, and
 *                    Hongwei Guan
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

package datatypes;

/* Interface List defines the prototype for a List. Any List datastructure should
   contain at least these methods for basic List operations. */

public interface List {
	// insert the element before the element at index or at the end of the list
	public void insert(int index, Object element);

	// Delete and return the element at position index
	public Object delete(int index);

	// Return the element at position index
	public Object get(int index);

	/* Return the index of the first occurance of the given element, or -1 if
	   it's not in the list */
	public int indexOf(Object element);

	// Return the number of elements in the list
	public int size();
}
